Bug 647967 - copyright attribution, compilation security settings and spec-file cleanups
Summary: copyright attribution, compilation security settings and spec-file cleanups
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-30 05:47 UTC by Florian La Roche
Modified: 2014-11-09 22:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-02 08:46:57 UTC
Type: ---


Attachments (Terms of Use)

Description Florian La Roche 2010-10-30 05:47:44 UTC
Description of problem:

Please look at some of the changes of this new src.rpm:
http://mirrors.kernel.org/redhat/redhat/rhel/beta/5.90Server/source/SRPMS/squid-3.1.4-1.el6.src.rpm

I think the licence change and also using sysconf should be merged:
* Fri Feb 19 2010 Jiri Skala <jskala@redhat.com> -7:3.1.0.16-3
- Resolves: #543948 - added licenses to spec
- replaced /etc by _sysconfdir

Please also note that using -fpie as security compilation setting
would be ideal. Not sure the current rhel6 rpm has this correct,
e.g. bz#639365 might indicate the beta rpm is still not 100% correct.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Henrik Nordström 2010-10-30 18:41:05 UTC
Work is being done on fixing -fpie. Currently failing due to libtool madness.

The License and _sysconfdir usage have been fixed.

Comment 2 Florian La Roche 2010-11-02 06:47:32 UTC
Great to see the known bits to be merged into the newest Fedora rawhide rpm
and I look forward to see -fpie once it has a known working fix.

The newest squid src.rpm can run on rhel5 with the following little change.
Could this be merged into the current src.rpm to allow testing newer
squid releases also within rhel5 server machines?

--- squid.spec
+++ squid.spec
@@ -127,6 +127,10 @@
        %{?_smp_mflags}

 %install
+%if %{?fedora}00%{?rhel} < 6
+sed -i 's|password-auth|system-auth|' %{SOURCE5}
+%endif
+
 rm -rf $RPM_BUILD_ROOT
 make \
        DESTDIR=$RPM_BUILD_ROOT \


Thanks a lot,

Florian La Roche

Comment 3 Jiri Skala 2010-11-02 08:46:57 UTC
I've just committed patch and spec file changes fixing -fPIE issue. The build should be available in rawhide repository in next hours.

I think the proposal for changes in spec file from comment #2 is not suitable for fedora commit. I suppose my people sites are more suitable.

Comment 4 Fedora Update System 2010-11-04 07:44:53 UTC
squid-3.1.9-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/squid-3.1.9-3.fc14

Comment 5 Fedora Update System 2010-11-04 07:45:00 UTC
squid-3.1.9-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/squid-3.1.9-3.fc13

Comment 6 Fedora Update System 2010-11-16 23:13:04 UTC
squid-3.1.9-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-11-16 23:18:26 UTC
squid-3.1.9-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.